Subject: Shell spawning and environment problem on W2K
From: RobertWoodcock <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Date: Wed, 2 Aug 2000 11:28:10 -0000

Hi All,

The following doesn't work:

$ make
make: sh.exe: Command not found
make: *** [all] Error 127

The following does sort of:
$ make SHELL=/bin/sh

[ all ] fracviewer-dep
make[1]: Entering directory `/cygdrive/f/bmw/Dev/ft'
cd FracViewer; make fast-dep
make[2]: Entering directory `/cygdrive/f/bmw/Dev/ft/FracViewer'
[snip]

The problem with this version is the environment variables for various 
include paths are EMPTY in the build but are defined in the original shell. 
It would appear that environment variables are not being passed to the 
other processes spawned by make (????).

I've checked the list archive and it seems others have similar problems 
with sh in June, July and August. I have just finished re-installing the 
latest version from my local mirror, same problem. Unfortunately a solution 
was not posted.

What makes it even weirder is I have w2k on two machines. One exhibits the 
problem with either an older release or the latest one. The other has the 
older release and works fine (I dare not change it to the newer release at 
the moment).

Anyone have a clue what's going on?

Rob

--
Robert Woodcock
R&D Manager
Fractal Graphics
39 Fairway
Nedlands
Western Australia 6009
Phone: +61 8 9386 7917
Fax: + 61 8 9386 2460
[email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]